package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * cm_receipt_order_relation
 *
 * @author
 */
@Data
public class CmReceiptOrderRelationPo implements Serializable {
    private Long id;

    /**
     * 关系类型：1返佣订单（返佣款）、2非返佣订单（订单款或者非订单款）
     */
    private String relationType;

    /**
     * 识别款项Id（对应cm_discern_receipt表）
     */
    private Integer receiptID;

    /**
     * 订单Id（relationType值为1是为子订单ID,为2时为主订单ID）
     */
    private Integer orderID;

    /**
     * 关联方式: 1手动 2自动
     */
    private String associationType;

    /**
     * 米花科技平台唯一流水号
     */
    private String mbOrderId;

    /**
     * 商户唯一订单请求号（订单编号T随机时间戳）
     */
    private String orderRequestNo;

    /**
     * 分账状态:0待分账,1已分账(只针对线上支付)
     */
    private String splitStatus;

    /**
     * 关联金额：1普通收款(线下):收款具体对该应母订单的收金额、2线上支付:付款金额就等于该金额、3返佣收款：默认为0
     */
    private BigDecimal associateAmount;

    /**
     * 删除标记 0 否，其余是
     */
    private String delFlag;

    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、
     * 7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、
     * 15小程序-微信支付、16余额抵扣
     */
    private String payType;

    private static final long serialVersionUID = 1L;
}