package com.caimei.model.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/26
 */
@Data
public class SplitAccountVo {
    private Integer id;

    /**
     * 主订单id
     */
    private Integer orderId;

    /**
     * 商品id,仅对二手发布商品
     */
    private Integer productId;

    /**
     * 订单商品id
     */
    private Integer orderProductId;

    /**
     * 供应商id
     */
    private Integer shopId;

    /**
     * 分账类型:1公账-专票,2私账-无票,3公账-普票,4供应商子商户
     */
    private String type;

    /**
     * 子商户商编
     */
    private String subUserNo;

    /**
     * 分账金额
     */
    private BigDecimal splitAccount;

    /**
     * 米花科技平台唯一流水号
     */
    private String mbOrderId;

    /**
     * 商户唯一订单请求号（订单编号#随机时间戳）
     */
    private String orderRequestNo;

    /**
     * 付款状态,0待付,1付款成功
     */
    private String payStatus;

    /**
     * 商品类型:1商品成本,2供应商运费,3佣金,4二手发布
     */
    private String productType;

    /**
     * 分账时间
     */
    private Date splitTime;

    private static final long serialVersionUID = 1L;
}
