package com.caimei.service;

import com.caimei.model.ResponseJson;
import com.caimei.model.dto.CartDto;
import com.caimei.model.vo.CartProductVo;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/23
 */
public interface ShoppingCartService {
    /**
     * 加入购物车
     *
     * @param cart
     * @return
     */
    ResponseJson<Integer> addShoppingCart(CartDto cart);

    /**
     * 统计购物车数量
     *
     * @param userId
     * @return
     */
    ResponseJson<Integer> getCartQuantity(Integer userId);

    /**
     * 购物车数据
     *
     * @param userId
     * @return
     */
    ResponseJson<Map<String, Object>> shoppingInfo(Integer userId);

    /**
     * 更新购物车商品数量
     *
     * @param cartId
     * @param productCount
     */
    void updateNumber(Integer cartId, Integer productCount);

    /**
     * 删除购物车商品
     *
     * @param cartIds
     * @return
     */
    ResponseJson<String> deleteCart(String cartIds);

    /**
     * 设置订单价格
     *
     * @param product
     * @return
     */
    List<CartProductVo> setProductPrice(CartProductVo product);
}
